<?xml version="1.0"?>
<!DOCTYPE XmlMappingSpec SYSTEM "..\xml\abtxmap.dtd" >
<!-- Generated by mapping tool on 2001-11-28-10.41.33.000000 -->
<XmlMappingSpec Name="srvdep.map" NameSpaceURI="urn:VASTWebServiceDeployment600">

	<ClassElementMapping ElementTagName="chain" ClassName="SstWSHandlerChainDescriptor">
		<AttributeMapping ClassAttribute="smalltalkClass">
			<Attribute>class</Attribute>
		</AttributeMapping>
		<AttributeMapping SetSelector="handlers:" GetSelector="handlers">
			<SubElement>handler</SubElement>
		</AttributeMapping>
	</ClassElementMapping>

	<ClassElementMapping ElementTagName="configuration" ClassName="SstWSContainerConfiguration">
			<AttributeMapping ClassAttribute="managerDescriptions">
				<SubElement>managers</SubElement>
			</AttributeMapping>			
	</ClassElementMapping>

	<!-- Mapping for element 'containerType' -->
	<ClassElementMapping ElementTagName="container" ClassName="SstWSContainerDescriptor" Id="containerTag">
		<AttributeMapping ClassAttribute="name">
			<Attribute>name</Attribute>
		</AttributeMapping>
		<AttributeMapping ClassAttribute="namespace">
			<Attribute>namespace</Attribute>
		</AttributeMapping>
		<AttributeMapping ClassAttribute="imageComponents">
			<SubElement>imageComponentUrls</SubElement>
			<Attribute>imageComponentUrl</Attribute>
		</AttributeMapping>
		<AttributeMapping ClassAttribute="mappingSpecUrls">
			<SubElement>mappingSpecUrls</SubElement>
			<Attribute>mappingSpec</Attribute>
		</AttributeMapping>
		<AttributeMapping ClassAttribute="configuration">
			<SubElement>configuration</SubElement>
		</AttributeMapping>
		<AttributeMapping SetSelector="handlers:" >
			<SubElement>handlers</SubElement>
		</AttributeMapping>
		<AttributeMapping ClassAttribute="serviceImports">
			<SubElement>serviceImports</SubElement>
			<Attribute>service</Attribute>
		</AttributeMapping>
		<AttributeMapping ClassAttribute="extensions">
			<SubElement>extensions</SubElement>
		</AttributeMapping>
	</ClassElementMapping>

	<!-- Mapping for element 'deployment' -->
	<ClassElementMapping ElementTagName="deployment" ClassName="SstWSNewDeploymentDescriptor">
		<AttributeMapping ClassAttribute="servicesDescriptor">
			<SubElement>services</SubElement>
		</AttributeMapping>
		<AttributeMapping ClassAttribute="containerDescriptor">
			<SubElement>container</SubElement>
		</AttributeMapping>
	</ClassElementMapping>

	<ClassElementMapping ElementTagName="extensions" ClassName="OrderedCollection">
		<AttributeMapping SetSelector="add:" >
			<SubElement>*</SubElement>
		</AttributeMapping>
	</ClassElementMapping>

	<ClassElementMapping ElementTagName="handler" ClassName="SstWSReferenceDescriptor" >
		<AttributeMapping ClassAttribute="smalltalkClass">
			<Attribute>class</Attribute>
		</AttributeMapping>
	</ClassElementMapping>

	<ClassElementMapping ElementTagName="input" ClassName="SstWSReferenceDescriptor" >
		<AttributeMapping ClassAttribute="smalltalkClass">
			<Attribute>class</Attribute>
		</AttributeMapping>
	</ClassElementMapping>

	<ClassElementMapping ElementTagName="output" ClassName="SstWSReferenceDescriptor" >
		<AttributeMapping ClassAttribute="smalltalkClass">
			<Attribute>class</Attribute>
		</AttributeMapping>
	</ClassElementMapping>

		<ClassElementMapping ElementTagName="fault" ClassName="SstWSReferenceDescriptor" >
		<AttributeMapping ClassAttribute="smalltalkClass">
			<Attribute>class</Attribute>
		</AttributeMapping>
	</ClassElementMapping>

	<ClassElementMapping ElementTagName="handlers" ClassName="SstWSHandlersDescriptor">
		<AttributeMapping SetSelector="namespace:" GetSelector="namespace" >
			<SubElement>namespace</SubElement>
		</AttributeMapping>
		<AttributeMapping SetSelector="addHandler:" >
			<SubElement>*</SubElement>
		</AttributeMapping>
	</ClassElementMapping>

	<ClassElementMapping ElementTagName="manager" ClassName="SstWSReferenceDescriptor" >
		<AttributeMapping ClassAttribute="smalltalkClass">
			<Attribute>class</Attribute>
		</AttributeMapping>
	</ClassElementMapping>


	<ClassElementMapping ElementTagName="managers" ClassName="OrderedCollection">
		<AttributeMapping SetSelector="add:" >
			<SubElement>*</SubElement>
		</AttributeMapping>
	</ClassElementMapping>

	<ClassElementMapping ElementTagName="operation" ClassName="SstWSOperationDescriptor" />	

	<ClassElementMapping ElementTagName="operationHandler" ClassName="SstWSOperationHandlerDescriptor">
		<AttributeMapping ClassAttribute="smalltalkClass">
			<Attribute>class</Attribute>
		</AttributeMapping>
	</ClassElementMapping>

	
	<ClassElementMapping ElementTagName="provider" ClassName="SstWSProviderDescriptor">
		<AttributeMapping ClassAttribute="className" NameSpaceURI="Smalltalk" >
			<SubElement>provider</SubElement>
			<Attribute>className</Attribute>
		</AttributeMapping>
		<AttributeMapping ClassAttribute="creationMethod" NameSpaceURI="Smalltalk" >
			<SubElement>provider</SubElement>
			<Attribute>creationMethod</Attribute>
		</AttributeMapping>
		<AttributeMapping ClassAttribute="operations">
			<SubElement>operations</SubElement>
			<Attribute>operation</Attribute>
		</AttributeMapping>
	</ClassElementMapping>

	<ClassElementMapping ElementTagName="service" ClassName="SstWSResourceDescriptor" ParentId="containerTag">
		<AttributeMapping ClassAttribute="location">
			<Attribute>location</Attribute>
		</AttributeMapping>
	</ClassElementMapping>	

	<ClassElementMapping ElementTagName="service" ClassName="SstWSNewServiceDescriptor" ParentId="servicesTag" />



	<!-- Mapping for element 'services' -->
	<ClassElementMapping ElementTagName="services" ClassName="SstWSServicesDescriptor" Id="servicesTag">
		<AttributeMapping ClassAttribute="name">
			<Attribute>name</Attribute>
		</AttributeMapping>
		<AttributeMapping ClassAttribute="namespace">
			<Attribute>namespace</Attribute>
		</AttributeMapping>
		<AttributeMapping ClassAttribute="imageComponents">
			<SubElement>imageComponentUrls</SubElement>
			<Attribute>imageComponentUrl</Attribute>
		</AttributeMapping>
		<AttributeMapping ClassAttribute="mappingSpecUrls">
			<SubElement>mappingSpecUrls</SubElement>
			<Attribute>mappingSpec</Attribute>
		</AttributeMapping>
		<AttributeMapping SetSelector="handlers:" GetSelector="handlers">
			<SubElement>handlers</SubElement>
		</AttributeMapping>
		<AttributeMapping ClassAttribute="wsdlUrls">
			<SubElement>wsdlUrls</SubElement>
			<Attribute>wsdlUrl</Attribute>
		</AttributeMapping>
		<AttributeMapping ClassAttribute="extensions">
			<SubElement>extensions</SubElement>
		</AttributeMapping>
		<AttributeMapping ClassAttribute="services">
			<SubElement>service</SubElement>
		</AttributeMapping>
	</ClassElementMapping>

</XmlMappingSpec>
